name: Check Apiary blueprint

on:
  push:
    paths:
    - apiary.apib
    branches:
    - master
  pull_request:
    paths:
    - apiary.apib

jobs:
  ubuntu:
    name: Ubuntu
    runs-on: ubuntu-latest
    steps:
    - name: Checkout master branch
      uses: actions/checkout@v2
    - name: Install drafter
      run: npm install drafter
    - name: Build
      run: node dev/parse.js
